#include "customgui_pla.h"
#include "c4d_string.h"
#include "c4d_gui.h"

PLALib *lib_pla = NULL;

static PLALib *CheckPrefsLib(LONG offset)
{
	return (PLALib*)CheckLib(CUSTOMDATATYPE_PLA, offset, (C4DLibrary**)&lib_pla);
}

void PLAData::GetVariableTags(VariableTag *&ptag, VariableTag *&htag)
{
	PLALib *lib = CheckPrefsLib(LIBOFFSET(PLALib, GetVariableTags));
	if (!lib || !lib->GetVariableTags) return;

	(((iPLAData*)this)->*lib->GetVariableTags)(ptag,htag);
}

